# -*- encoding: utf-8 -*-
from django.urls import path
from django.views.generic import TemplateView
from django.urls import path, re_path
from aftaportal import views
from django.conf.urls import url
from . import views

app_name = 'aftaportal'
urlpatterns = [
    
    # The home page
    path('', views.index, name='home'),
    url(r'^freeview/$', views.freeview, name='freeview'),
    # url(r'^addvideo/$', views.addvideo, name='addvideo'),
    # url(r'^get_phone/$', views.get_phone, name='get_phone'),
    # Matches any html file
    url(r'^addstu/$', views.addstu, name='addstu'),
    #re_path(r'^.*\.*', views.pages, name='pages'),
    url(r'^sign_up/$', views.sign_up, name='sign_up'),
    url(r'^shop/$', views.shop, name='shop'),
    url(r'^all_course/$', views.all_course, name='all_course'),
    url(r'^shop_submit/$', views.shop_submit, name='shop_submit'),
    url(r'^verify_login/?$', views.verify_login, name='verify_login'),
    url(r'^verify_shoper/(?P<phone>.*)/(?P<username>.*)/(?P<dore_id>.*)/(?P<input_type>.*)/?$', views.verify_shoper, name='verify_shoper'),
    url(r'^profile/?$', views.profile, name='profile'),
    url(r'^login/$', views.login, name='login'),
    url(r'^logout/$', views.logout, name='logout'),
    url(r'^request/(?P<phone>.*)/(?P<dore_id>.*)/(?P<input_type>.*)/?$', views.send_request, name='send_request'),
    url(r'^verify/(?P<phone>.*)/(?P<dore_id>.*)/(?P<input_type>.*)/?$', views.verify, name='verify'),
    url(r'^insta_live/$', views.insta_ghore, name='insta_ghore'),
    #url(r'^videoPlayer/$', views.videoPlayer, name='videoPlayer'),
    url(r'^course_submit/$', views.course_submit, name='course_submit'),
    url(r'^course_login/(?P<my_key>.*)/(?P<phone>.*)/(?P<username>.*)/?$', views.course_login, name='course_login3'),
    url(r'^course_submit3/$', views.course_submit3, name='course_submit'),
    url(r'^course_login3/(?P<my_key>.*)/(?P<phone>.*)/(?P<username>.*)/?$', views.course_login3, name='course_login3'),
    url(r'^course_spot/$', views.course_spot, name='course_spot'),
    url(r'^course_login_spot/(?P<my_key>.*)/(?P<phone>.*)/(?P<username>.*)/?$', views.course_login_spot, name='course_login_spot'),
    url(r'^player/(?P<phone>.*)/(?P<id>.*)/?$', views.player, name='player'),
]
